> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# pmembtype

> GenericMDOProvider reads MDO lists with default settings

## "pmembtype" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'pmembtype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/pmembtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("pmembtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name            | StyleHint | ExtraInfo |
| -- | --------------- | --------- | --------- |
| 6  | Ekstern kontakt |           |           |
| 5  | Fagperson       |           |           |
| 1  | Oppdragsgiver   |           |           |
| 2  | Prosjektleder   |           |           |
| 4  | Prosjektmedlem  |           |           |
| 3  | Sekretær        |           |           |

## Related MDO Lists

* "pmembtypeheadings"
* "pmembtypeheadingswithallitem"
* "pmembtypeheadingswithallitemwithnoselection"
* "pmembtypeheadingswithnoselection"
* "pmembtypewithallitem"
* "pmembtypewithallitemwithnoselection"
* "pmembtypewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [PMembType table](/en/database/tables/pmembtype.md)
- [PMembTypeHeadingLink table](/en/database/tables/pmembtypeheadinglink.md)
- [PMembTypeGroupLink table](/en/database/tables/pmembtypegrouplink.md)
- [projectmember table](/en/database/tables/projectmember.md)
- [SuperOffice.WebApi.Data.ProjectMember](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectMember.md)
